import { ElementRef, OnDestroy, OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import { StiHelperService } from "../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../services/sti-localization.service";
import { StiThemeService } from "../../../../services/theme.service";
import StiRectangleGeometryLayout from "../../../../computed/StiRectangleGeometryLayout";
import * as i0 from "@angular/core";
export declare class StiNumberEditorComponent implements OnInit, OnDestroy {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    loc: StiLocalizationService;
    render: StiRectangleGeometryLayout;
    numberInput: ElementRef;
    interval: any;
    isIncrement: boolean;
    isDecrement: boolean;
    timeout: any;
    private _gridCounter;
    get gridCounter(): number;
    set gridCounter(value: number);
    property: StiEditorProperty;
    obj?: any;
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, loc: StiLocalizationService, render: StiRectangleGeometryLayout);
    ngOnDestroy(): void;
    ngOnInit(): void;
    onLostFocus(value: any): void;
    applySettings(): void;
    checkOutputs(): void;
    checkOnOverlay(): void;
    clearTimers(): void;
    iterate(): void;
    setIncrementInterval(): void;
    setDecrementInterval(): void;
    get element(): any;
    get counter(): number;
    validNegativeValue(): boolean;
    set counter(value: number);
    static ɵfac: i0.ɵɵFactoryDeclaration<StiNumberEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiNumberEditorComponent, "sti-number-editor", never, { "property": { "alias": "property"; "required": false; }; "obj": { "alias": "obj"; "required": false; }; }, {}, never, never, false, never>;
}
